; Created with OLE/COM Interface generator v0.1  Date: 05/08/2006 

; Class: Windows Media Player 
; Version: 1.0 
; ProgID: "MediaPlayer.MediaPlayer.1" 
; TypeLib: "C:\WINNT\System32\msdxm.ocx" 

; ########################################## 
; #               Interfaces               # 
; ########################################## 

Interface IDirectControl ; IDirectControl Interface 
  QueryInterface(riid.l,ppvObj.l) 
  AddRef() 
  Release() 
  GetTypeInfoCount(pctinfo.l) 
  GetTypeInfo(itinfo.l,lcid.l,pptinfo.l) 
  GetIDsOfNames(riid.l,rgszNames.l,cNames.l,lcid.l,rgdispid.l) 
  Invoke(dispidMember.l,riid.l,lcid.l,wFlags.l,pdispparams.l,pvarResult.l,pexcepinfo.l,puArgErr.l) 
  CreateView(bszClsid.p-bstr) 
  DestroyAllViews() 
EndInterface 

Interface IDirectContainer ; IDirectContainer Interface 
  QueryInterface(a.l,b.l) 
  AddRef() 
  Release() 
  CreateControl(bszClsid.p-bstr,dwClsContext.l,ppunk.l,dwWindowStyle.l) 
  SetServiceProvider(pspSet.l) 
  SetIInputObjectSite(*pios.IUnknown) 
  ShowControl() 
  HideControl() 
  IsControlCreated() 
  DestroyControl() 
EndInterface 

Interface IRadioView ; IRadioView Interface 
  QueryInterface(riid.l,ppvObj.l) 
  AddRef() 
  Release() 
  GetTypeInfoCount(pctinfo.l) 
  GetTypeInfo(itinfo.l,lcid.l,pptinfo.l) 
  GetIDsOfNames(riid.l,rgszNames.l,cNames.l,lcid.l,rgdispid.l) 
  Invoke(dispidMember.l,riid.l,lcid.l,wFlags.l,pdispparams.l,pvarResult.l,pexcepinfo.l,puArgErr.l) 
EndInterface 

Interface _MediaPlayerEvents ; Event interface for Windows Media Player control 
  QueryInterface(a.l,b.l) 
  AddRef() 
  Release() 
  DVDNotify(EventCode.l,EventParam1.l,EventParam2.l) 
  EndOfStream(Result.l) 
  KeyDown(KeyCode.w,ShiftState.w) 
  KeyUp(KeyCode.w,ShiftState.w) 
  KeyPress(CharacterCode.w) 
  MouseMove(Button.w,ShiftState.w,x.l,y.l) 
  MouseDown(Button.w,ShiftState.w,x.l,y.l) 
  MouseUp(Button.w,ShiftState.w,x.l,y.l) 
  Click(Button.w,ShiftState.w,x.l,y.l) 
  DblClick(Button.w,ShiftState.w,x.l,y.l) 
  OpenStateChange(OldState.l,NewState.l) 
  PlayStateChange(OldState.l,NewState.l) 
  ScriptCommand(scType.p-bstr,Param.p-bstr) 
  Buffering(Start.w) 
  Error() 
  MarkerHit(MarkerNum.l) 
  Warning(WarningType.l,Param.l,Description.p-bstr) 
  NewStream() 
  Disconnect(Result.l) 
  PositionChange(oldPosition.d,newPosition.d) 
  DisplayModeChange() 
  ReadyStateChange(ReadyState.l) 
EndInterface 

Interface IMediaPlayer2 ; IMediaPlayer2 Interface 
  QueryInterface(riid.l,ppvObj.l) 
  AddRef() 
  Release() 
  GetTypeInfoCount(pctinfo.l) 
  GetTypeInfo(itinfo.l,lcid.l,pptinfo.l) 
  GetIDsOfNames(riid.l,rgszNames.l,cNames.l,lcid.l,rgdispid.l) 
  Invoke(dispidMember.l,riid.l,lcid.l,wFlags.l,pdispparams.l,pvarResult.l,pexcepinfo.l,puArgErr.l) 
  get_CurrentPosition(dispidMember.l) 
  put_CurrentPosition(dispidMember.d) 
  get_Duration(dispidMember.l) 
  get_ImageSourceWidth(dispidMember.l) 
  get_ImageSourceHeight(dispidMember.l) 
  get_MarkerCount(dispidMember.l) 
  get_CanScan(dispidMember.l) 
  get_CanSeek(dispidMember.l) 
  get_CanSeekToMarkers(dispidMember.l) 
  get_CurrentMarker(dispidMember.l) 
  put_CurrentMarker(dispidMember.l) 
  get_FileName(dispidMember.l) 
  put_FileName(dispidMember.p-bstr) 
  get_SourceLink(dispidMember.l) 
  get_CreationDate(dispidMember.l) 
  get_ErrorCorrection(dispidMember.l) 
  get_Bandwidth(dispidMember.p-bstr) 
  get_SourceProtocol(dispidMember.l) 
  get_ReceivedPackets(dispidMember.l) 
  get_RecoveredPackets(dispidMember.l) 
  get_LostPackets(dispidMember.l) 
  get_ReceptionQuality(dispidMember.l) 
  get_BufferingCount(dispidMember.l) 
  get_IsBroadcast(dispidMember.l) 
  get_BufferingProgress(dispidMember.l) 
  get_ChannelName(dispidMember.l) 
  get_ChannelDescription(dispidMember.l) 
  get_ChannelURL(dispidMember.l) 
  get_ContactAddress(dispidMember.l) 
  get_ContactPhone(dispidMember.l) 
  get_ContactEmail(dispidMember.l) 
  get_BufferingTime(dispidMember.l) 
  put_BufferingTime(dispidMember.d) 
  get_AutoStart(dispidMember.l) 
  put_AutoStart(dispidMember.w) 
  get_AutoRewind(dispidMember.l) 
  put_AutoRewind(dispidMember.w) 
  get_Rate(dispidMember.l) 
  put_Rate(dispidMember.d) 
  get_SendKeyboardEvents(dispidMember.l) 
  put_SendKeyboardEvents(dispidMember.w) 
  get_SendMouseClickEvents(dispidMember.l) 
  put_SendMouseClickEvents(dispidMember.w) 
  get_SendMouseMoveEvents(dispidMember.l) 
  put_SendMouseMoveEvents(dispidMember.w) 
  get_PlayCount(dispidMember.l) 
  put_PlayCount(dispidMember.l) 
  get_ClickToPlay(dispidMember.l) 
  put_ClickToPlay(dispidMember.w) 
  get_AllowScan(dispidMember.l) 
  put_AllowScan(dispidMember.w) 
  get_EnableContextMenu(dispidMember.l) 
  put_EnableContextMenu(dispidMember.w) 
  get_CursorType(dispidMember.l) 
  put_CursorType(dispidMember.l) 
  get_CodecCount(dispidMember.l) 
  get_AllowChangeDisplaySize(dispidMember.l) 
  put_AllowChangeDisplaySize(dispidMember.w) 
  get_IsDurationValid(dispidMember.l) 
  get_OpenState(dispidMember.l) 
  get_SendOpenStateChangeEvents(dispidMember.l) 
  put_SendOpenStateChangeEvents(dispidMember.w) 
  get_SendWarningEvents(dispidMember.l) 
  put_SendWarningEvents(dispidMember.w) 
  get_SendErrorEvents(dispidMember.l) 
  put_SendErrorEvents(dispidMember.w) 
  get_PlayState(dispidMember.l) 
  get_SendPlayStateChangeEvents(dispidMember.l) 
  put_SendPlayStateChangeEvents(dispidMember.w) 
  get_DisplaySize(dispidMember.l) 
  put_DisplaySize(dispidMember.l) 
  get_InvokeURLs(dispidMember.l) 
  put_InvokeURLs(dispidMember.w) 
  get_BaseURL(dispidMember.l) 
  put_BaseURL(dispidMember.p-bstr) 
  get_DefaultFrame(dispidMember.l) 
  put_DefaultFrame(dispidMember.p-bstr) 
  get_HasError(dispidMember.l) 
  get_ErrorDescription(dispidMember.l) 
  get_ErrorCode(dispidMember.l) 
  get_AnimationAtStart(dispidMember.l) 
  put_AnimationAtStart(dispidMember.w) 
  get_TransparentAtStart(dispidMember.l) 
  put_TransparentAtStart(dispidMember.w) 
  get_Volume(dispidMember.l) 
  put_Volume(dispidMember.l) 
  get_Balance(dispidMember.l) 
  put_Balance(dispidMember.l) 
  get_ReadyState(dispidMember.l) 
  get_SelectionStart(dispidMember.l) 
  put_SelectionStart(dispidMember.d) 
  get_SelectionEnd(dispidMember.l) 
  put_SelectionEnd(dispidMember.d) 
  get_ShowDisplay(dispidMember.l) 
  put_ShowDisplay(dispidMember.w) 
  get_ShowControls(dispidMember.l) 
  put_ShowControls(dispidMember.w) 
  get_ShowPositionControls(dispidMember.l) 
  put_ShowPositionControls(dispidMember.w) 
  get_ShowTracker(dispidMember.l) 
  put_ShowTracker(dispidMember.w) 
  get_EnablePositionControls(dispidMember.l) 
  put_EnablePositionControls(dispidMember.w) 
  get_EnableTracker(dispidMember.l) 
  put_EnableTracker(dispidMember.w) 
  get_Enabled(dispidMember.l) 
  put_Enabled(dispidMember.w) 
  get_DisplayForeColor(dispidMember.l) 
  put_DisplayForeColor(dispidMember.l) 
  get_DisplayBackColor(dispidMember.l) 
  put_DisplayBackColor(dispidMember.l) 
  get_DisplayMode(dispidMember.l) 
  put_DisplayMode(dispidMember.l) 
  get_VideoBorder3D(dispidMember.l) 
  put_VideoBorder3D(dispidMember.w) 
  get_VideoBorderWidth(dispidMember.l) 
  put_VideoBorderWidth(dispidMember.l) 
  get_VideoBorderColor(dispidMember.l) 
  put_VideoBorderColor(dispidMember.l) 
  get_ShowGotoBar(dispidMember.l) 
  put_ShowGotoBar(dispidMember.w) 
  get_ShowStatusBar(dispidMember.l) 
  put_ShowStatusBar(dispidMember.w) 
  get_ShowCaptioning(dispidMember.l) 
  put_ShowCaptioning(dispidMember.w) 
  get_ShowAudioControls(dispidMember.l) 
  put_ShowAudioControls(dispidMember.w) 
  get_CaptioningID(dispidMember.l) 
  put_CaptioningID(dispidMember.p-bstr) 
  get_Mute(dispidMember.l) 
  put_Mute(dispidMember.w) 
  get_CanPreview(dispidMember.l) 
  get_PreviewMode(dispidMember.l) 
  put_PreviewMode(dispidMember.w) 
  get_HasMultipleItems(dispidMember.l) 
  get_Language(dispidMember.l) 
  put_Language(dispidMember.l) 
  get_AudioStream(dispidMember.l) 
  put_AudioStream(dispidMember.l) 
  get_SAMIStyle(dispidMember.l) 
  put_SAMIStyle(dispidMember.p-bstr) 
  get_SAMILang(dispidMember.l) 
  put_SAMILang(dispidMember.p-bstr) 
  get_SAMIFileName(dispidMember.l) 
  put_SAMIFileName(dispidMember.p-bstr) 
  get_StreamCount(dispidMember.l) 
  get_ClientId(dispidMember.l) 
  get_ConnectionSpeed(dispidMember.l) 
  get_AutoSize(dispidMember.l) 
  put_AutoSize(dispidMember.w) 
  get_EnableFullScreenControls(dispidMember.l) 
  put_EnableFullScreenControls(dispidMember.w) 
  get_ActiveMovie(dispidMember.l) 
  get_NSPlay(dispidMember.l) 
  get_WindowlessVideo(dispidMember.l) 
  put_WindowlessVideo(dispidMember.w) 
  Play() 
  Stop() 
  Pause() 
  GetMarkerTime(MarkerNum.l) 
  GetMarkerName(MarkerNum.l) 
  AboutBox() 
  GetCodecInstalled(CodecNum.l) 
  GetCodecDescription(CodecNum.l) 
  GetCodecURL(CodecNum.l) 
  GetMoreInfoURL(MoreInfoType.l) 
  GetMediaInfoString(MediaInfoType.l) 
  Cancel() 
  Open(bstrFileName.p-bstr) 
  IsSoundCardEnabled() 
  Next() 
  Previous() 
  StreamSelect(StreamNum.l) 
  FastForward() 
  FastReverse() 
  GetStreamName(StreamNum.l) 
  GetStreamGroup(StreamNum.l) 
  GetStreamSelected(StreamNum.l) 
  get_DVD(StreamNum.l) 
  GetMediaParameter(EntryNum.l,bstrParameterName.p-bstr) 
  GetMediaParameterName(EntryNum.l,Index.l) 
  get_EntryCount(EntryNum.l) 
  GetCurrentEntry() 
  SetCurrentEntry(EntryNumber.l) 
  ShowDialog(mpDialogIndex.l) 
EndInterface 

Interface IMediaPlayer ; IMediaPlayer Interface 
  QueryInterface(riid.l,ppvObj.l) 
  AddRef() 
  Release() 
  GetTypeInfoCount(pctinfo.l) 
  GetTypeInfo(itinfo.l,lcid.l,pptinfo.l) 
  GetIDsOfNames(riid.l,rgszNames.l,cNames.l,lcid.l,rgdispid.l) 
  Invoke(dispidMember.l,riid.l,lcid.l,wFlags.l,pdispparams.l,pvarResult.l,pexcepinfo.l,puArgErr.l) 
  get_CurrentPosition(dispidMember.l) 
  put_CurrentPosition(dispidMember.d) 
  get_Duration(dispidMember.l) 
  get_ImageSourceWidth(dispidMember.l) 
  get_ImageSourceHeight(dispidMember.l) 
  get_MarkerCount(dispidMember.l) 
  get_CanScan(dispidMember.l) 
  get_CanSeek(dispidMember.l) 
  get_CanSeekToMarkers(dispidMember.l) 
  get_CurrentMarker(dispidMember.l) 
  put_CurrentMarker(dispidMember.l) 
  get_FileName(dispidMember.l) 
  put_FileName(dispidMember.p-bstr) 
  get_SourceLink(dispidMember.l) 
  get_CreationDate(dispidMember.l) 
  get_ErrorCorrection(dispidMember.l) 
  get_Bandwidth(dispidMember.l) 
  get_SourceProtocol(dispidMember.l) 
  get_ReceivedPackets(dispidMember.l) 
  get_RecoveredPackets(dispidMember.l) 
  get_LostPackets(dispidMember.l) 
  get_ReceptionQuality(dispidMember.l) 
  get_BufferingCount(dispidMember.l) 
  get_IsBroadcast(dispidMember.l) 
  get_BufferingProgress(dispidMember.l) 
  get_ChannelName(dispidMember.l) 
  get_ChannelDescription(dispidMember.l) 
  get_ChannelURL(dispidMember.l) 
  get_ContactAddress(dispidMember.l) 
  get_ContactPhone(dispidMember.l) 
  get_ContactEmail(dispidMember.l) 
  get_BufferingTime(dispidMember.l) 
  put_BufferingTime(dispidMember.d) 
  get_AutoStart(dispidMember.l) 
  put_AutoStart(dispidMember.w) 
  get_AutoRewind(dispidMember.l) 
  put_AutoRewind(dispidMember.w) 
  get_Rate(dispidMember.l) 
  put_Rate(dispidMember.d) 
  get_SendKeyboardEvents(dispidMember.l) 
  put_SendKeyboardEvents(dispidMember.w) 
  get_SendMouseClickEvents(dispidMember.l) 
  put_SendMouseClickEvents(dispidMember.w) 
  get_SendMouseMoveEvents(dispidMember.l) 
  put_SendMouseMoveEvents(dispidMember.w) 
  get_PlayCount(dispidMember.l) 
  put_PlayCount(dispidMember.l) 
  get_ClickToPlay(dispidMember.l) 
  put_ClickToPlay(dispidMember.w) 
  get_AllowScan(dispidMember.l) 
  put_AllowScan(dispidMember.w) 
  get_EnableContextMenu(dispidMember.l) 
  put_EnableContextMenu(dispidMember.w) 
  get_CursorType(dispidMember.l) 
  put_CursorType(dispidMember.l) 
  get_CodecCount(dispidMember.l) 
  get_AllowChangeDisplaySize(dispidMember.l) 
  put_AllowChangeDisplaySize(dispidMember.w) 
  get_IsDurationValid(dispidMember.l) 
  get_OpenState(dispidMember.l) 
  get_SendOpenStateChangeEvents(dispidMember.l) 
  put_SendOpenStateChangeEvents(dispidMember.w) 
  get_SendWarningEvents(dispidMember.l) 
  put_SendWarningEvents(dispidMember.w) 
  get_SendErrorEvents(dispidMember.l) 
  put_SendErrorEvents(dispidMember.w) 
  get_PlayState(dispidMember.l) 
  get_SendPlayStateChangeEvents(dispidMember.l) 
  put_SendPlayStateChangeEvents(dispidMember.w) 
  get_DisplaySize(dispidMember.l) 
  put_DisplaySize(dispidMember.l) 
  get_InvokeURLs(dispidMember.l) 
  put_InvokeURLs(dispidMember.w) 
  get_BaseURL(dispidMember.l) 
  put_BaseURL(dispidMember.p-bstr) 
  get_DefaultFrame(dispidMember.l) 
  put_DefaultFrame(dispidMember.p-bstr) 
  get_HasError(dispidMember.l) 
  get_ErrorDescription(dispidMember.l) 
  get_ErrorCode(dispidMember.l) 
  get_AnimationAtStart(dispidMember.l) 
  put_AnimationAtStart(dispidMember.w) 
  get_TransparentAtStart(dispidMember.l) 
  put_TransparentAtStart(dispidMember.w) 
  get_Volume(dispidMember.l) 
  put_Volume(dispidMember.l) 
  get_Balance(dispidMember.l) 
  put_Balance(dispidMember.l) 
  get_ReadyState(dispidMember.l) 
  get_SelectionStart(dispidMember.l) 
  put_SelectionStart(dispidMember.d) 
  get_SelectionEnd(dispidMember.l) 
  put_SelectionEnd(dispidMember.d) 
  get_ShowDisplay(dispidMember.l) 
  put_ShowDisplay(dispidMember.w) 
  get_ShowControls(dispidMember.l) 
  put_ShowControls(dispidMember.w) 
  get_ShowPositionControls(dispidMember.l) 
  put_ShowPositionControls(dispidMember.w) 
  get_ShowTracker(dispidMember.l) 
  put_ShowTracker(dispidMember.w) 
  get_EnablePositionControls(dispidMember.l) 
  put_EnablePositionControls(dispidMember.w) 
  get_EnableTracker(dispidMember.l) 
  put_EnableTracker(dispidMember.w) 
  get_Enabled(dispidMember.l) 
  put_Enabled(dispidMember.w) 
  get_DisplayForeColor(dispidMember.l) 
  put_DisplayForeColor(dispidMember.l) 
  get_DisplayBackColor(dispidMember.l) 
  put_DisplayBackColor(dispidMember.l) 
  get_DisplayMode(dispidMember.l) 
  put_DisplayMode(dispidMember.l) 
  get_VideoBorder3D(dispidMember.l) 
  put_VideoBorder3D(dispidMember.w) 
  get_VideoBorderWidth(dispidMember.l) 
  put_VideoBorderWidth(dispidMember.l) 
  get_VideoBorderColor(dispidMember.l) 
  put_VideoBorderColor(dispidMember.l) 
  get_ShowGotoBar(dispidMember.l) 
  put_ShowGotoBar(dispidMember.w) 
  get_ShowStatusBar(dispidMember.l) 
  put_ShowStatusBar(dispidMember.w) 
  get_ShowCaptioning(dispidMember.l) 
  put_ShowCaptioning(dispidMember.w) 
  get_ShowAudioControls(dispidMember.l) 
  put_ShowAudioControls(dispidMember.w) 
  get_CaptioningID(dispidMember.l) 
  put_CaptioningID(dispidMember.p-bstr) 
  get_Mute(dispidMember.l) 
  put_Mute(dispidMember.w) 
  get_CanPreview(dispidMember.l) 
  get_PreviewMode(dispidMember.l) 
  put_PreviewMode(dispidMember.w) 
  get_HasMultipleItems(dispidMember.l) 
  get_Language(dispidMember.l) 
  put_Language(dispidMember.l) 
  get_AudioStream(dispidMember.l) 
  put_AudioStream(dispidMember.l) 
  get_SAMIStyle(dispidMember.l) 
  put_SAMIStyle(dispidMember.p-bstr) 
  get_SAMILang(dispidMember.l) 
  put_SAMILang(dispidMember.p-bstr) 
  get_SAMIFileName(dispidMember.l) 
  put_SAMIFileName(dispidMember.p-bstr) 
  get_StreamCount(dispidMember.l) 
  get_ClientId(dispidMember.l) 
  get_ConnectionSpeed(dispidMember.l) 
  get_AutoSize(dispidMember.l) 
  put_AutoSize(dispidMember.w) 
  get_EnableFullScreenControls(dispidMember.l) 
  put_EnableFullScreenControls(dispidMember.w) 
  get_ActiveMovie(dispidMember.l) 
  get_NSPlay(dispidMember.l) 
  get_WindowlessVideo(dispidMember.l) 
  put_WindowlessVideo(dispidMember.w) 
  Play() 
  Stop() 
  Pause() 
  GetMarkerTime(MarkerNum.l) 
  GetMarkerName(MarkerNum.l) 
  AboutBox() 
  GetCodecInstalled(CodecNum.l) 
  GetCodecDescription(CodecNum.l) 
  GetCodecURL(CodecNum.l) 
  GetMoreInfoURL(MoreInfoType.l) 
  GetMediaInfoString(MediaInfoType.l) 
  Cancel() 
  Open(bstrFileName.p-bstr) 
  IsSoundCardEnabled() 
  Next() 
  Previous() 
  StreamSelect(StreamNum.l) 
  FastForward() 
  FastReverse() 
  GetStreamName(StreamNum.l) 
  GetStreamGroup(StreamNum.l) 
  GetStreamSelected(StreamNum.l) 
EndInterface 

Interface IMediaPlayerDvd ; MediaPlayer DVD interface 
  QueryInterface(riid.l,ppvObj.l) 
  AddRef() 
  Release() 
  GetTypeInfoCount(pctinfo.l) 
  GetTypeInfo(itinfo.l,lcid.l,pptinfo.l) 
  GetIDsOfNames(riid.l,rgszNames.l,cNames.l,lcid.l,rgdispid.l) 
  Invoke(dispidMember.l,riid.l,lcid.l,wFlags.l,pdispparams.l,pvarResult.l,pexcepinfo.l,puArgErr.l) 
  ButtonSelectAndActivate(uiButton.l) 
  UpperButtonSelect() 
  LowerButtonSelect() 
  LeftButtonSelect() 
  RightButtonSelect() 
  ButtonActivate() 
  ForwardScan(dwSpeed.d) 
  BackwardScan(dwSpeed.d) 
  PrevPGSearch() 
  TopPGSearch() 
  NextPGSearch() 
  TitlePlay(uiTitle.l) 
  ChapterPlay(uiTitle.l,uiChapter.l) 
  ChapterSearch(Chapter.l) 
  MenuCall(MenuID.l) 
  ResumeFromMenu() 
  TimePlay(uiTitle.l,bstrTime.p-bstr) 
  TimeSearch(bstrTime.p-bstr) 
  ChapterPlayAutoStop(ulTitle.l,ulChapter.l,ulChaptersToPlay.l) 
  StillOff() 
  GoUp() 
  get_TotalTitleTime(ulTitle.l) 
  GetNumberOfChapters(ulTitle.l) 
  GetAudioLanguage(ulStream.l) 
  GetSubpictureLanguage(ulStream.l) 
  GetAllGPRMs() 
  GetAllSPRMs() 
  UOPValid(ulUOP.l) 
  get_ButtonsAvailable(ulUOP.l) 
  get_CurrentButton(ulUOP.l) 
  get_AudioStreamsAvailable(ulUOP.l) 
  get_CurrentAudioStream(ulUOP.l) 
  put_CurrentAudioStream(ulUOP.l) 
  get_CurrentSubpictureStream(ulUOP.l) 
  put_CurrentSubpictureStream(ulUOP.l) 
  get_SubpictureStreamsAvailable(ulUOP.l) 
  get_SubpictureOn(ulUOP.l) 
  put_SubpictureOn(ulUOP.w) 
  get_AnglesAvailable(ulUOP.l) 
  get_CurrentAngle(ulUOP.l) 
  put_CurrentAngle(ulUOP.l) 
  get_CurrentTitle(ulUOP.l) 
  get_CurrentChapter(ulUOP.l) 
  get_CurrentTime(ulUOP.l) 
  put_Root(ulUOP.p-bstr) 
  get_Root(ulUOP.l) 
  get_FramesPerSecond(ulUOP.l) 
  get_CurrentDomain(ulUOP.l) 
  get_TitlesAvailable(ulUOP.l) 
  get_VolumesAvailable(ulUOP.l) 
  get_CurrentVolume(ulUOP.l) 
  get_CurrentDiscSide(ulUOP.l) 
  get_CCActive(ulUOP.l) 
  put_CCActive(ulUOP.w) 
  get_CurrentCCService(ulUOP.l) 
  put_CurrentCCService(ulUOP.l) 
  get_UniqueID(ulUOP.l) 
  get_ColorKey(ulUOP.l) 
  put_ColorKey(ulUOP.l) 
EndInterface 

Interface IMediaBindStream ; IMediaBindStream Interface 
  QueryInterface(riid.l,ppvObj.l) 
  AddRef() 
  Release() 
  GetTypeInfoCount(pctinfo.l) 
  GetTypeInfo(itinfo.l,lcid.l,pptinfo.l) 
  GetIDsOfNames(riid.l,rgszNames.l,cNames.l,lcid.l,rgdispid.l) 
  Invoke(dispidMember.l,riid.l,lcid.l,wFlags.l,pdispparams.l,pvarResult.l,pexcepinfo.l,puArgErr.l) 
  LoadMoniker(bszTransferContext.p-bstr,bszUrl.p-bstr) 
EndInterface 

Interface IAsyncPProt ; IAsyncPProt Interface 
  QueryInterface(riid.l,ppvObj.l) 
  AddRef() 
  Release() 
  GetTypeInfoCount(pctinfo.l) 
  GetTypeInfo(itinfo.l,lcid.l,pptinfo.l) 
  GetIDsOfNames(riid.l,rgszNames.l,cNames.l,lcid.l,rgdispid.l) 
  Invoke(dispidMember.l,riid.l,lcid.l,wFlags.l,pdispparams.l,pvarResult.l,pexcepinfo.l,puArgErr.l) 
EndInterface 

Interface IAsyncMHandler ; IAsyncMHandler Interface 
  QueryInterface(riid.l,ppvObj.l) 
  AddRef() 
  Release() 
  GetTypeInfoCount(pctinfo.l) 
  GetTypeInfo(itinfo.l,lcid.l,pptinfo.l) 
  GetIDsOfNames(riid.l,rgszNames.l,cNames.l,lcid.l,rgdispid.l) 
  Invoke(dispidMember.l,riid.l,lcid.l,wFlags.l,pdispparams.l,pvarResult.l,pexcepinfo.l,puArgErr.l) 
EndInterface 

Interface _IRadioPlayerEvents ; _IRadioPlayerEvents Interface 
  QueryInterface(a.l,b.l) 
  AddRef() 
  Release() 
  StateChange(bszUrl.p-bstr,fPlay.w,lVolume.l,fMute.w) 
EndInterface 

Interface IRadioPlayer ; IRadioPlayer Interface 
  QueryInterface(riid.l,ppvObj.l) 
  AddRef() 
  Release() 
  GetTypeInfoCount(pctinfo.l) 
  GetTypeInfo(itinfo.l,lcid.l,pptinfo.l) 
  GetIDsOfNames(riid.l,rgszNames.l,cNames.l,lcid.l,rgdispid.l) 
  Invoke(dispidMember.l,riid.l,lcid.l,wFlags.l,pdispparams.l,pvarResult.l,pexcepinfo.l,puArgErr.l) 
  BindRadioMemory() 
  ReleaseRadio() 
  RegisterEvent(bszEvent.p-bstr) 
  RegisterWindow(__MIDL_0012.l,dwMessage.l,dwCodeSet.l) 
  GetSection() 
  Unregister(lRegister.l) 
  GetInstanceCount() 
  Play() 
  Stop() 
  put_Url(lRegister.p-bstr) 
  put_Volume(lRegister.l) 
  put_Mute(lRegister.w) 
  GetStatus(plVolume.l,pfMute.l,pfPlay.l,__MIDL_0013.l,__MIDL_0014.l,__MIDL_0015.l,__MIDL_0016.l,__MIDL_0017.l,__MIDL_0018.l,__MIDL_0019.l) 
  GetState(plOpenState.l,pfBuffering.l,plBufferingPercent.l,plQuality.l) 
EndInterface 

Interface IRadioServer ; IRadioServer Interface 
  QueryInterface(riid.l,ppvObj.l) 
  AddRef() 
  Release() 
  GetTypeInfoCount(pctinfo.l) 
  GetTypeInfo(itinfo.l,lcid.l,pptinfo.l) 
  GetIDsOfNames(riid.l,rgszNames.l,cNames.l,lcid.l,rgdispid.l) 
  Invoke(dispidMember.l,riid.l,lcid.l,wFlags.l,pdispparams.l,pvarResult.l,pexcepinfo.l,puArgErr.l) 
  BindToRadio(wszRadio.p-bstr) 
  IsRadioExists(wszRadio.p-bstr) 
  LaunchStandardUrl(bszUrl.p-bstr,*pBrowser.IUnknown) 
EndInterface 

Interface IRadioServerControl ; IRadioServerControl Interface 
  QueryInterface(riid.l,ppvObj.l) 
  AddRef() 
  Release() 
  GetTypeInfoCount(pctinfo.l) 
  GetTypeInfo(itinfo.l,lcid.l,pptinfo.l) 
  GetIDsOfNames(riid.l,rgszNames.l,cNames.l,lcid.l,rgdispid.l) 
  Invoke(dispidMember.l,riid.l,lcid.l,wFlags.l,pdispparams.l,pvarResult.l,pexcepinfo.l,puArgErr.l) 
EndInterface 

Interface IMediaPlayerListener ; IMediaPlayerListener 
  QueryInterface(a.l,b.l) 
  AddRef() 
  Release() 
  PlayStateChanged(lNewState.l) 
  Buffering(fStart.w) 
  BufferPercent(lBufferPercent.l) 
  OpenStateChanged(lOpenState.l) 
  MediaInfoChanged(bstrShowTitle.p-bstr,bstrClipTitle.p-bstr,bstrClipAuthor.p-bstr,bstrClipCopyright.p-bstr,bstrStationURL.p-bstr) 
  QualityChanged(lQuality.l) 
  Error(bstrError.p-bstr) 
EndInterface 

Interface IRadioBand ; IRadioBand Interface 
  QueryInterface(riid.l,ppvObj.l) 
  AddRef() 
  Release() 
  GetTypeInfoCount(pctinfo.l) 
  GetTypeInfo(itinfo.l,lcid.l,pptinfo.l) 
  GetIDsOfNames(riid.l,rgszNames.l,cNames.l,lcid.l,rgdispid.l) 
  Invoke(dispidMember.l,riid.l,lcid.l,wFlags.l,pdispparams.l,pvarResult.l,pexcepinfo.l,puArgErr.l) 
  Create(phwnd.l,hwndParent.l) 
EndInterface 

; ########################################## 
; #               Constants                # 
; ########################################## 

Enumeration ; ReadyStateConstants 
  #amvUninitialized=0 
  #amvLoading=1 
  #amvInteractive=3 
  #amvComplete=4 
EndEnumeration 

Enumeration ; MPPlayStateConstants 
  #mpStopped=0 
  #mpPaused=1 
  #mpPlaying=2 
  #mpWaiting=3 
  #mpScanForward=4 
  #mpScanReverse=5 
  #mpClosed=6 
EndEnumeration 

Enumeration ; MPDisplaySizeConstants 
  #mpDefaultSize=0 
  #mpHalfSize=1 
  #mpDoubleSize=2 
  #mpFullScreen=3 
  #mpFitToSize=4 
  #mpOneSixteenthScreen=5 
  #mpOneFourthScreen=6 
  #mpOneHalfScreen=7 
EndEnumeration 

Enumeration ; MPReadyStateConstants 
  #mpReadyStateUninitialized=0 
  #mpReadyStateLoading=1 
  #mpReadyStateInteractive=3 
  #mpReadyStateComplete=4 
EndEnumeration 

Enumeration ; MPDisplayModeConstants 
  #mpTime=0 
  #mpFrames=1 
EndEnumeration 

Enumeration ; MPMoreInfoType 
  #mpShowURL=0 
  #mpClipURL=1 
  #mpBannerURL=2 
EndEnumeration 

Enumeration ; MPMediaInfoType 
  #mpShowFilename=0 
  #mpShowTitle=1 
  #mpShowAuthor=2 
  #mpShowCopyright=3 
  #mpShowRating=4 
  #mpShowDescription=5 
  #mpShowLogoIcon=6 
  #mpClipFilename=7 
  #mpClipTitle=8 
  #mpClipAuthor=9 
  #mpClipCopyright=10 
  #mpClipRating=11 
  #mpClipDescription=12 
  #mpClipLogoIcon=13 
  #mpBannerImage=14 
  #mpBannerMoreInfo=15 
  #mpWatermark=16 
EndEnumeration 

Enumeration ; DVDMenuIDConstants 
  #dvdMenu_Title=2 
  #dvdMenu_Root=3 
  #dvdMenu_Subpicture=4 
  #dvdMenu_Audio=5 
  #dvdMenu_Angle=6 
  #dvdMenu_Chapter=7 
EndEnumeration 

Enumeration ; MPShowDialogConstants 
  #mpShowDialogHelp=0 
  #mpShowDialogStatistics=1 
  #mpShowDialogOptions=2 
  #mpShowDialogContextMenu=3 
EndEnumeration 

; ########################################## 
; #                 GUIDs                  # 
; ########################################## 

DataSection 
  CLSID_MediaPlayer_MediaPlayer:  ; {22D6F312-B0F6-11D0-94AB-0080C74C7E95} 
    Data.l $22D6F312 
    Data.w $B0F6,$11D0 
    Data.b $94,$AB,$0,$80,$C7,$4C,$7E,$95 

  IID_IDirectControl:  ; {39A2C2A5-4778-11D2-9BDB-204C4F4F5020} 
    Data.l $39A2C2A5 
    Data.w $4778,$11D2 
    Data.b $9B,$DB,$20,$4C,$4F,$4F,$50,$20 

  IID_IDirectContainer:  ; {39A2C2A8-4778-11D2-9BDB-204C4F4F5020} 
    Data.l $39A2C2A8 
    Data.w $4778,$11D2 
    Data.b $9B,$DB,$20,$4C,$4F,$4F,$50,$20 

  IID_IServiceProvider:  ; {6D5140C1-7436-11CE-8034-00AA006009FA} 
    Data.l $6D5140C1 
    Data.w $7436,$11CE 
    Data.b $80,$34,$0,$AA,$0,$60,$9,$FA 

  IID_IRadioView:  ; {847B4DF4-4B61-11D2-9BDB-204C4F4F5020} 
    Data.l $847B4DF4 
    Data.w $4B61,$11D2 
    Data.b $9B,$DB,$20,$4C,$4F,$4F,$50,$20 

  IID__MediaPlayerEvents:  ; {2D3A4C40-E711-11D0-94AB-0080C74C7E95} 
    Data.l $2D3A4C40 
    Data.w $E711,$11D0 
    Data.b $94,$AB,$0,$80,$C7,$4C,$7E,$95 

  IID_IMediaPlayer2:  ; {20D4F5E0-5475-11D2-9774-0000F80855E6} 
    Data.l $20D4F5E0 
    Data.w $5475,$11D2 
    Data.b $97,$74,$0,$0,$F8,$8,$55,$E6 

  IID_IMediaPlayer:  ; {22D6F311-B0F6-11D0-94AB-0080C74C7E95} 
    Data.l $22D6F311 
    Data.w $B0F6,$11D0 
    Data.b $94,$AB,$0,$80,$C7,$4C,$7E,$95 

  IID_IMediaPlayerDvd:  ; {746EB440-3835-11D2-9774-0000F80855E6} 
    Data.l $746EB440 
    Data.w $3835,$11D2 
    Data.b $97,$74,$0,$0,$F8,$8,$55,$E6 

  IID_IMediaBindStream:  ; {920F0DE3-91C5-11D2-828F-00C04FC99D4E} 
    Data.l $920F0DE3 
    Data.w $91C5,$11D2 
    Data.b $82,$8F,$0,$C0,$4F,$C9,$9D,$4E 

  IID_IAsyncPProt:  ; {3DA2AA3A-3D96-11D2-9BD2-204C4F4F5020} 
    Data.l $3DA2AA3A 
    Data.w $3D96,$11D2 
    Data.b $9B,$D2,$20,$4C,$4F,$4F,$50,$20 

  IID_IAsyncMHandler:  ; {3DA2AA3D-3D96-11D2-9BD2-204C4F4F5020} 
    Data.l $3DA2AA3D 
    Data.w $3D96,$11D2 
    Data.b $9B,$D2,$20,$4C,$4F,$4F,$50,$20 

  IID__IRadioPlayerEvents:  ; {9C2263B1-3E3C-11D2-9BD3-204C4F4F5020} 
    Data.l $9C2263B1 
    Data.w $3E3C,$11D2 
    Data.b $9B,$D3,$20,$4C,$4F,$4F,$50,$20 

  IID_IRadioPlayer:  ; {9C2263AF-3E3C-11D2-9BD3-204C4F4F5020} 
    Data.l $9C2263AF 
    Data.w $3E3C,$11D2 
    Data.b $9B,$D3,$20,$4C,$4F,$4F,$50,$20 

  IID_IRadioServer:  ; {9C2263A0-3E3C-11D2-9BD3-204C4F4F5020} 
    Data.l $9C2263A0 
    Data.w $3E3C,$11D2 
    Data.b $9B,$D3,$20,$4C,$4F,$4F,$50,$20 

  IID_IRadioServerControl:  ; {8E718889-423F-11D2-876E-00A0C9082467} 
    Data.l $8E718889 
    Data.w $423F,$11D2 
    Data.b $87,$6E,$0,$A0,$C9,$8,$24,$67 

  IID_IMediaPlayerListener:  ; {33222211-5E5E-11D2-9E8E-0000F8085981} 
    Data.l $33222211 
    Data.w $5E5E,$11D2 
    Data.b $9E,$8E,$0,$0,$F8,$8,$59,$81 

  IID_IRadioBand:  ; {8E718881-423F-11D2-876E-00A0C9082467} 
    Data.l $8E718881 
    Data.w $423F,$11D2 
    Data.b $87,$6E,$0,$A0,$C9,$8,$24,$67 
EndDataSection 




Prototype.l AtlAxWinInit() 
Prototype.l AtlAxCreateControl(lpszName.p-bstr,hWnd.l,*pStream.IStream,*ppUnkContainer.IUnknown) 
Prototype.l AtlAxGetControl(hWnd.l,*pp.IUnknown) 

CoInitialize_(0) 
result=OpenLibrary(1,"atl.dll") 

AtlAxWinInit.AtlAxWinInit=GetFunction(1,"AtlAxWinInit") 
AtlAxCreateControl.AtlAxCreateControl=GetFunction(1,"AtlAxCreateControl") 
AtlAxGetControl.AtlAxGetControl=GetFunction(1,"AtlAxGetControl") 

AtlAxWinInit() 

#Flags=#PB_Window_SystemMenu|#PB_Window_MinimizeGadget|#PB_Window_ScreenCentered 
OpenWindow(1,0,0,400,300,"MediaPlayer test",#Flags) 

;Wenn sich das control nicht ber das ganze Fenster erstrecken soll, muss anstelle von WindowID() das Handle eines ContainerGadget verwendet werden (GadgetID()). 
AtlAxCreateControl("MediaPlayer.MediaPlayer.1",WindowID(1),0,0) ; ProgID oder CLSID des Steuerelements  (siehe oben) 
AtlAxGetControl(WindowID(1),@*mp.IMediaPlayer) 

; mit *mp\QueryInterface(?IID_IMediaPlayer,@*obj.IUnknown) kann getestet werden, ob es wirklich das gewnschte Steuerelement ist. 


*mp\AboutBox() 
*mp\put_ShowControls(#False) ; hide controls 
*mp\put_FileName("C:\WINNT\Media\canyon.mid") ; Pfad anpassen 

*mp\get_Duration(@dur.d) ; lnge  (double) 
Repeat 

*mp\get_CurrentPosition(@pos.d) ; aktuelle position 

SetWindowTitle(1,Str(pos/dur*100)+"% played") 

Until WaitWindowEvent(32)=#PB_Event_CloseWindow 

*mp\Release() ; Steuerelement freigeben 
CloseWindow(1)
; IDE Options = PureBasic v4.00 (Windows - x86)
; CursorPosition = 819
; FirstLine = 828
; Folding = -